Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.table
Interface LiveTableRenderer

All Known Implementing Classes:
  DefaultLiveTableRenderer

    public interface LiveTableRenderer

`LiveTableRenderer` is used to partially render a TableModel within a LiveTable, via direct XHTML insertion of row data.

Method Summary
`void` | `renderEmptyRow(LiveTable liveTable, org.w3c.dom.Node parentNode)` This method is called to get the XHTML for an empty row with the LiveTable.
`java.lang.String` | `renderRolloverStyle(LiveTable liveTable, org.w3c.dom.Node parentNode, RenderContext rc)` This method will be called if rollover's are enabled on the LiveTable.
`void` | `renderRows(LiveTable liveTable, org.w3c.dom.Node parentNode, int rowStart, int rowEnd)` This method is called to render the XHTML for the data starting from rowStart and ending at rowEnd.
`java.lang.String` | `renderSelectionStyle(LiveTable liveTable, org.w3c.dom.Node parentNode, RenderContext rc)` This method will be called if selection is enabled on the LiveTable.
`void` | `renderStyles(LiveTable liveTable, org.w3c.dom.Node parentNode)` This method is called to render a series of XTHML Style Elements (eg.

Method Detail

### renderEmptyRow

    void renderEmptyRow(LiveTable liveTable,
                        org.w3c.dom.Node parentNode)

  This method is called to get the XHTML for an empty row with the LiveTable. When a LiveTable row has not been loaded with data, then an empty row is shown.

  This XHTML is a TR tag representing an empty row.

  Each row must be the same height as all the other rows otherwise the LiveTable scrolling algorithm wont work.

  You should use the styleNames returned in the getStyles() method on rows cells to ensure the least amount of data is sent down the client and hence UI feedback is faster.

  Parameters:
    `liveTable` - - the LiveTable in question
    `parentNode` - - the parentNode to place the XHTML in

### renderRows

    void renderRows(LiveTable liveTable,
                    org.w3c.dom.Node parentNode,
                    int rowStart,
                    int rowEnd)

  This method is called to render the XHTML for the data starting from rowStart and ending at rowEnd.

  This XHTML is a series of TR tags for the given data.

  Each row must be the same height as all the other rows otherwise the LiveTable scrolling algorithm wont work.

  You should use the styleNames returned in the getStyles() method on rows cells to ensure the least amount of data is sent down the client and hence UI feedback is faster.

  Parameters:
    `liveTable` - - the LiveTable in question
    `parentNode` - - the parentNode to place the XHTML in
    `rowStart` - - the starting row of data
    `rowEnd` - - the ending row of data

### renderStyles

    void renderStyles(LiveTable liveTable,
                      org.w3c.dom.Node parentNode)

  This method is called to render a series of XTHML Style Elements (eg. <style>xxx</style>) that can be used to "style" the rows of data in the LiveTable. This allows each row of XHTML to only contain "class=stylename" entries and hence save on the amount of data that is sent to the client.

  The style names should perhaps use the renderId() of the LiveTable to ensure that they are unique.

  Parameters:
    `liveTable` - - the LiveTable in question
    `parentNode` - - the parentNode to place the XHTML in

### renderRolloverStyle

    java.lang.String renderRolloverStyle(LiveTable liveTable,
                                         org.w3c.dom.Node parentNode,
                                         RenderContext rc)

  This method will be called if rollover's are enabled on the LiveTable.

  Th implementor should render a rollover style for a cell inside row data (eg a TD) and then return the style className that will be applied to the cell when the mouse moves over the cells in a row of data.

  The rollover style properties should be based on the LiveTable rollover related properties.

  Parameters:
    `liveTable` - - the LiveTable in question
    `parentNode` - - the parentNode to place the XHTML in
    `rc` - - the RenderContext in place at the time this call is made
  Returns:
    the name of the rollover style to be placed in the cell className

### renderSelectionStyle

    java.lang.String renderSelectionStyle(LiveTable liveTable,
                                          org.w3c.dom.Node parentNode,
                                          RenderContext rc)

  This method will be called if selection is enabled on the LiveTable.

  Th implementor should render a selection style for a cell inside row data (eg a TD) and then return the style className that will be applied to the cell when the selection is made on a row of data. .

  The selection style properties should be based on the LiveTable selection related properties.

  Parameters:
    `liveTable` - - the LiveTable in question
    `parentNode` - - the parentNode to place the XHTML in
    `rc` - - the RenderContext in place at the time this call is made
  Returns:
    the name of the selection style to be placed in the cell className

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD